
/* Reset del canvas para login */
body.customer-account-login .page-wrapper,
body.customer-account-login .page-main {
  margin: 0;
  padding: 0;
  max-width: none;
}


.page-layout-2columns-left.customer-account-login .columns,
.page-layout-2columns-right.customer-account-login .columns {
  max-width: none;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  align-content: center;
}

@media (max-width: 992px) {
  .page-layout-2columns-left.customer-account-login .columns,
  .page-layout-2columns-right.customer-account-login .columns {
    flex-direction: column;
    height: auto;
  }
  
  /* Sobrescribe el order de Magento para mover el sidebar arriba */
  .page-layout-2columns-left.customer-account-login .sidebar.sidebar-main,
  .page-layout-2columns-right.customer-account-login .sidebar.sidebar-main {
    order: -1 !important;
  }
  
  .logo-container {
    display: flex;
    width: 100%;
    justify-content: center;
    margin-bottom: 2rem;
  }
}
/* Para el layout únicamente */
.page-layout-2columns-left.customer-account-login,
.page-layout-2columns-right.customer-account-login {
  .columns { margin: 0 auto; padding: 32px; }

    .sidebar {
      padding: 16px;
    }
  
    .sidebar.sidebar-main {
      width: 50%;
    } /* col izquierda*/
    .column.main {
      width: 50%;
      align-content: center;
    } /* col derecha */

  @media (max-width: 992px) {
    .sidebar-main,
    .column.main { width: 100%; }

  }
}

.page-layout-2columns-left.customer-account-login .columns,
.page-layout-2columns-right.customer-account-login .columns {
  max-width: none;
}


/* Fondo del login (imagen a pantalla completa) */
body.customer-account-login {
  &:before {
    content: "";
    position: fixed;
    inset: 0;
    background: url('../images/auth/bg-login.jpg') center center / cover no-repeat;
    filter: brightness(0.85); /* Difuminado apreciable en el figma */
    z-index: 0;
  }

  /* contenido por encima del fondo */
  .page-wrapper,
  .page-main {
    position: relative;
    z-index: 1;
  }
}
